Page MenuHomePhabricator

[wireguard] config changes cause an error
Closed, ResolvedPublicBUG

Description

When changing a wireguard config, it causes an error when the config items are being compared.

Traceback (most recent call last):

File "/usr/libexec/vyos/conf_mode/wireguard.py", line 370, in <module>
  apply(c)
File "/usr/libexec/vyos/conf_mode/wireguard.py", line 228, in apply
  addr_eff = re.sub("\'", "", c_eff.return_effective_values(intf + ' address')).split()
File "/usr/lib/python3.4/re.py", line 175, in sub
  return _compile(pattern, flags).sub(repl, string, count)

TypeError: expected string or buffer

[[interfaces wireguard wg01]] failed
Commit failed

Details

Difficulty level
Easy (less than an hour)
Version
1.2, 1.3
Why the issue appeared?
Will be filled on close

Event Timeline

hagbard claimed this task.Jul 9 2019, 4:44 PM
hagbard created this task.
hagbard triaged this task as Normal priority.Jul 9 2019, 5:00 PM
hagbard changed Difficulty level from Normal (likely a few hours) to Easy (less than an hour).
c-po added a subscriber: c-po.Jul 10 2019, 3:31 PM

Issue present in the 1.2.2 ISO, too

hagbard closed this task as Resolved.Jul 15 2019, 2:30 PM
hagbard moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.